# Event Notification Object

## Events

Events are our way of letting you know when something interesting happens in your Zaui account.  When an interesting event occurs we create a new Event Object, and send to your configured endpoints.

### Event Objects

The Event Object describes the data that is delivered to your endpoint, for each web-hook notification, based on your configuration.

Event objects describe elements about the event which may be useful for your particular endpoint app.  The Event object elements are standardized and part of every event that is triggered on your&#x20;

As part of every Event object that is sent, whether that is booking data, or customer data, our system will tell you which event triggered the delivery.

```json
{
    "eventNotificationUniqueId": "evt_dd07616694d6ecd2d9f8cad0b2ec9ffef304c1ee",
    "eventNotificationCompanyName": "North Shore Adventure Co.",
    "eventNotificationUniqueIdentifier": "b6589fc6ab",
    "eventNotificationGroupId": 400,
    "eventNotificationTypeId": 400,
    "eventNotificationType": "Contact Creation",
    "eventNotificationTypeV2": "contact.creation",
    "eventNotificationDateTime": "2024-04-29T12:00:14-07:00",
    "eventNotificationName": "HR Notification when a new Contact is created",
    "eventNotificationSystem": "northshoreadventureco",
    "eventNotificationSystemUrl": "https://northshoreadventureco.zaui.net/",
    "eventMarketplaceData":{},
    "eventData":{}
}
```

{% hint style="info" %}
&#x20;Every event payload also contains the event data, such as Booking Data or Customer Data.
{% endhint %}

<table><thead><tr><th width="379">Field</th><th width="90">Type</th><th width="227.33333333333331">Description</th></tr></thead><tbody><tr><td>eventNotificationUniqueId</td><td>string</td><td>Unique identifier for the object</td></tr><tr><td>eventNotificationCompanyName</td><td>string</td><td>String value describing the name of the company install</td></tr><tr><td>eventNotificationUniqueIdentifier</td><td>string</td><td>Unique ID for the Zaui install</td></tr><tr><td>eventNotificationGroupId</td><td>int</td><td>The overall group for which this notification belongs. <strong>See the section that describes all possible event groups in the system</strong></td></tr><tr><td>eventNotificationTypeId</td><td>int</td><td>The sub type classification within the even group. <strong>See the section that describes all possible groups and group types in the system</strong></td></tr><tr><td>eventNotificationName</td><td>string</td><td>The name of the event as configured with in Zaui</td></tr><tr><td>eventNotificationDateTime</td><td>string</td><td>ISo-8601  Date and time with timezone</td></tr><tr><td>eventNotificationType</td><td>string</td><td>String type of notification</td></tr><tr><td>eventNotificationTypeV2</td><td>string</td><td>Notification Type (format:  category.action)</td></tr><tr><td>eventNotificationSystem</td><td>string</td><td>The Zaui system in which the webhook was set up on and is being triggered from</td></tr><tr><td>eventNotificationSystemUrl</td><td>string</td><td>The url of the Zaui system in which the webhook was set up on and is being triggered from</td></tr><tr><td>eventMarketplaceData</td><td>object</td><td>Object containing any Marketplace data associated with the event</td></tr><tr><td>eventData</td><td>object</td><td>Object containing data associated with the event</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zaui.com/webhooks/events-and-data-models/event-notification-payload.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
